1. Приветствуем Вас на неофициальном форуме технической поддержки XenForo на русском языке. XenForo - коммерческий форумный движок от бывших создателей vBulletin, написанный на PHP.

Оффорум перешел на XenForo 2.0

Тема в разделе "Новости XenForo", создана пользователем infis, 09.08.2017.

Загрузка
  1. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5 835
    Симпатии:
    3 480
    Версия XF:
    1.5.9
    Всем привет!

    Сегодня официальный форум перешел на XenForo 2.0. На сегодня это 10 превью релиз. Разработчики планируют, что следующий пререлиз будет бета-версией.
     
    Mirovinger нравится это.
  2. EDW

    EDW Местный

    Регистрация:
    17.05.13
    Сообщения:
    67
    Симпатии:
    17
    Версия XF:
    1.5.4
    10 первью уже давно доступен для скачивания... ну как бы бэта ещё не релиз, поэтому пока смысла нет особо дёргаться
     
  3. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5 835
    Симпатии:
    3 480
    Версия XF:
    1.5.9
    Бета, возможно, уже будет содержать средства перехода с 1.x на 2.0. А это уже будет интересным. Естественно, даже на бете работать - это маразм.
     
    Kolya groza morey нравится это.
  4. sonic

    sonic Местный

    Регистрация:
    08.10.10
    Сообщения:
    307
    Симпатии:
    234
    если внимательно просмотреть наичие дистрибутивов DP то средства апгрейда есть и в DP 1. просто не до конца реализованы.. даже через консоль.. ну теперь наверное как минимум допишут для консоли.
     
    Kolya groza morey нравится это.
  5. EDW

    EDW Местный

    Регистрация:
    17.05.13
    Сообщения:
    67
    Симпатии:
    17
    Версия XF:
    1.5.4
    Вроде как уже доступна для скачивания 2.0.0 Beta1. Пока не качал.
    Тема тут
     
  6. Lex

    Lex Dura Lex

    Регистрация:
    27.11.10
    Сообщения:
    817
    Симпатии:
    155
    Версия XF:
    1.5.1
    На сколько безопасно ставить бету1? Кстати а какой алгоритм перехода на xenforo 2, принцип обновления такой же?
     
  7. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5 835
    Симпатии:
    3 480
    Версия XF:
    1.5.9
    Бета уже позволяет обновиться с 1-й линейки. Ну а по безопасности бета далека от релиза, тем более только первая бета. На боевом сервере использовать не надо.
     
  8. Lex

    Lex Dura Lex

    Регистрация:
    27.11.10
    Сообщения:
    817
    Симпатии:
    155
    Версия XF:
    1.5.1
    То есть при желании можно обновиться в обычном порядке, нет никаких особенностей именно для обновления на xf 2.0?
     
  9. EDW

    EDW Местный

    Регистрация:
    17.05.13
    Сообщения:
    67
    Симпатии:
    17
    Версия XF:
    1.5.4
    да сверху первой версии накатываете и далее по инструкции
     
  10. dunsky

    dunsky Активный пользователь

    Регистрация:
    12.12.14
    Сообщения:
    4
    Симпатии:
    2
    Версия XF:
    1.5.11
    Add-ons and customizations made for XenForo 1.x will not be compatible. Style customizations will need to be redone and will not be maintained after the upgrade. We strongly recommend you make a backup before attempting an upgrade.
     
  11. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5 835
    Симпатии:
    3 480
    Версия XF:
    1.5.9
    Я думал, что не надо объяснять, что все плагины и стили от 1-й линейки не подойдут. Но согласен, что да, это важное замечание. А то некоторые могут попытаться :)
     
  12. EDW

    EDW Местный

    Регистрация:
    17.05.13
    Сообщения:
    67
    Симпатии:
    17
    Версия XF:
    1.5.4
    говорят некоторые плагины работают
     
  13. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5 835
    Симпатии:
    3 480
    Версия XF:
    1.5.9
    Сомневаюсь. Возможно, переделали уже под 2.0.
     
  14. EDW

    EDW Местный

    Регистрация:
    17.05.13
    Сообщения:
    67
    Симпатии:
    17
    Версия XF:
    1.5.4
    ну как бы на оф. форуме люди отзывы пишут
     
  15. dunsky

    dunsky Активный пользователь

    Регистрация:
    12.12.14
    Сообщения:
    4
    Симпатии:
    2
    Версия XF:
    1.5.11
    Там как бы поменяли папку хранения исполняемых файлов
    Теперь она не library, а src

    И появилась вторая бета
    XenForo 2.0.0 Beta 2 & Add-ons Released (unsupported)
     
    Последнее редактирование: 13.09.2017
  16. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5 835
    Симпатии:
    3 480
    Версия XF:
    1.5.9
    А что мешает разработчикам плагинов сделать плагины под 2.0? Но утверждать, что можно установить старый плагин, который был под 1-ю ксеню, не надо. Изменилась структура плагина, поэтому старые плагины на 2-й работать не будут без переделки.
     
  17. EDW

    EDW Местный

    Регистрация:
    17.05.13
    Сообщения:
    67
    Симпатии:
    17
    Версия XF:
    1.5.4
    А там этого не кто и не пишет, пишут про последствия после обновления с 1 на 2. Судя по сообщениям это единичные случаи.
     
  18. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5 835
    Симпатии:
    3 480
    Версия XF:
    1.5.9
    Может хватит уже бред нести?
     
  19. Lex

    Lex Dura Lex

    Регистрация:
    27.11.10
    Сообщения:
    817
    Симпатии:
    155
    Версия XF:
    1.5.1
    А что в новой версии много чего из коробки не хватает)?
     
  20. EDW

    EDW Местный

    Регистрация:
    17.05.13
    Сообщения:
    67
    Симпатии:
    17
    Версия XF:
    1.5.4
    не бред... это на оф форуме обсуждается, вчера выяснили- плагин имеет уже версию под 2.0, после обновления подтянул обновление автоматом (функционал от разраба плагина)
    "Please note that XenForo 2.0 has higher system requirements than XenForo 1.x. We will be updating the requirements test script in the near future to reflect this."
    Это насторожило... Надеюсь речь только о версиях PHP и MySQL
     

Поделиться этой страницей